<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ToggleAnimations Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dd9/class_toggle_animations.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ToggleAnimations Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6e93b432075b291d937e441ff2be2101"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a6e93b432075b291d937e441ff2be2101">ToggleAnimations</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> toggle_off, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> toggle_on, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; linked_anims_off=null, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; linked_anims_on=null)</td></tr>
<tr class="separator:a6e93b432075b291d937e441ff2be2101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fd1c08980f451d97796ee0f2b1669b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a80fd1c08980f451d97796ee0f2b1669b">GetToggleOff</a> ()</td></tr>
<tr class="separator:a80fd1c08980f451d97796ee0f2b1669b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c572cd97f653277fff2b563dba20661"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a6c572cd97f653277fff2b563dba20661">GetToggleOn</a> ()</td></tr>
<tr class="separator:a6c572cd97f653277fff2b563dba20661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380a5527dde98c14636200b6601dc5a3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a380a5527dde98c14636200b6601dc5a3">GetOpeningBit</a> ()</td></tr>
<tr class="separator:a380a5527dde98c14636200b6601dc5a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a045603a0385e9a39a5f273f0c682d02b"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a045603a0385e9a39a5f273f0c682d02b">m_ToggleOff</a></td></tr>
<tr class="separator:a045603a0385e9a39a5f273f0c682d02b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9419f0d7de9d6ec86f941cc5dc098e0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#ab9419f0d7de9d6ec86f941cc5dc098e0">m_ToggleOn</a></td></tr>
<tr class="separator:ab9419f0d7de9d6ec86f941cc5dc098e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13e98395ed2b9c5f40325da86d4dc410"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_toggle_animations.html#a13e98395ed2b9c5f40325da86d4dc410">m_OpeningBit</a></td></tr>
<tr class="separator:a13e98395ed2b9c5f40325da86d4dc410"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6e93b432075b291d937e441ff2be2101" name="a6e93b432075b291d937e441ff2be2101"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e93b432075b291d937e441ff2be2101">&#9670;&#160;</a></span>ToggleAnimations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ToggleAnimations::ToggleAnimations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>toggle_off</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>toggle_on</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>linked_anims_off</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>linked_anims_on</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00009">9</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a380a5527dde98c14636200b6601dc5a3" name="a380a5527dde98c14636200b6601dc5a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a380a5527dde98c14636200b6601dc5a3">&#9670;&#160;</a></span>GetOpeningBit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ToggleAnimations::GetOpeningBit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00028">28</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<a id="a80fd1c08980f451d97796ee0f2b1669b" name="a80fd1c08980f451d97796ee0f2b1669b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80fd1c08980f451d97796ee0f2b1669b">&#9670;&#160;</a></span>GetToggleOff()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ToggleAnimations::GetToggleOff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00018">18</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<a id="a6c572cd97f653277fff2b563dba20661" name="a6c572cd97f653277fff2b563dba20661"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c572cd97f653277fff2b563dba20661">&#9670;&#160;</a></span>GetToggleOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ToggleAnimations::GetToggleOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00023">23</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a13e98395ed2b9c5f40325da86d4dc410" name="a13e98395ed2b9c5f40325da86d4dc410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13e98395ed2b9c5f40325da86d4dc410">&#9670;&#160;</a></span>m_OpeningBit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ToggleAnimations::m_OpeningBit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00005">5</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<a id="a045603a0385e9a39a5f273f0c682d02b" name="a045603a0385e9a39a5f273f0c682d02b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045603a0385e9a39a5f273f0c682d02b">&#9670;&#160;</a></span>m_ToggleOff</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ToggleAnimations::m_ToggleOff</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<a id="ab9419f0d7de9d6ec86f941cc5dc098e0" name="ab9419f0d7de9d6ec86f941cc5dc098e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9419f0d7de9d6ec86f941cc5dc098e0">&#9670;&#160;</a></span>m_ToggleOn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ToggleAnimations::m_ToggleOn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../db/d7a/_toggle_selections_8c_source.html">ToggleSelections.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/dd9/class_toggle_animations.html">ToggleAnimations</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
